diff --git a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.1_plus/nodes.sql b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.1_plus/nodes.sql
index 3ce9645..b05880c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.1_plus/nodes.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.1_plus/nodes.sql
@@ -3,7 +3,7 @@ SELECT
     has_database_privilege(db.oid, 'CREATE') as cancreate, datdba as owner
 FROM
     pg_database db
-    LEFT OUTER JOIN pg_tablespace ta ON db.dattablespace = ta.oid{% if did %}
+    LEFT OUTER JOIN pg_tablespace ta ON db.dattablespace = ta.oid
 WHERE {% if did %}
 db.oid = {{ did|qtLiteral }}::OID{% else %}
 db.oid > {{ last_system_oid }}::OID
diff --git a/web/pgadmin/static/js/backgrid/backgrid.pgadmin.js b/web/pgadmin/static/js/backgrid/backgrid.pgadmin.js
index 999ac7c..5311a01 100644
--- a/web/pgadmin/static/js/backgrid/backgrid.pgadmin.js
+++ b/web/pgadmin/static/js/backgrid/backgrid.pgadmin.js
@@ -530,7 +530,9 @@
 
     remove: function() {
       this.$select.off('change', this.onSave);
-      this.$select.select2('destroy');
+      if (this.$select.data('select2')) {
+        this.$select.select2('destroy');
+      }
       this.$el.empty();
       Backgrid.SelectCell.prototype.remove.apply(this, arguments);
      }
